Subject: bug#76739: 31.0.50; Register previews cannot be disabled

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Mar 2025 20:28:11 +0200

> From: Thierry Volpiatto <[email-masked]>
> Cc: Rudolf Adamkovič <[email-masked]>,  Thierry
>  Volpiatto
>  <[email-masked]>,  [email-masked]
> Date: Tue, 04 Mar 2025 17:46:59 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thierry, could you please look into this?
> 
> Yes, I already replied, the problem is if one set this variable with
> setq, the defcustom has a :set function.

Yes, I saw it too late, thanks.

> So from emacs -Q here:
> 
> (customize-set-variable 'register-use-preview 'never)
> 
> Then do 3) and 4) from the recipe above.
> 
> No preview, as expected.

Right.  I've already updated the doc string to say using setq is not
effective, so maybe this is all that's needed here.